Bug 215185 - Review Request: compat-libosip2 - compatability package for libosip2
Summary: Review Request: compat-libosip2 - compatability package for libosip2
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 197166
TreeView+ depends on / blocked
 
Reported: 2006-11-12 02:54 UTC by Jeffrey C. Ollie
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 19:55:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2006-11-12 02:54:24 UTC
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/compat-libosip2-2.2.2-2.2.2-5.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/compat-libosip2-2.2.2-2.2.2-5.fc6.src.rpm
Description:

oSIP is an implementation of SIP.

SIP stands for the Session Initiation Protocol and is described by the
rfc3261 (wich deprecates rfc2543). This library aims to provide
multimedia and telecom software developers an easy and powerful
interface to initiate and control SIP based sessions in their
applications. SIP is a open standard replacement from IETF for H.323.

linphone requires version 2.2.2 of libosip2 - newer versions of
libosip2 have dropped some functionality that linphone requires.
Until the linphone developers update linphone a compatibility package
will be needed so that libosip2 can be updated to the latest version.

Comment 1 Kevin Fenzi 2006-11-12 04:08:03 UTC
Wanting to help get the broken package report down some, here's a review. ;) 

See below - Package meets naming and packaging guidelines
See below - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
40ee3ec89030f0d6dfdb2cf6100e6685  libosip2-2.2.2.tar.gz
40ee3ec89030f0d6dfdb2cf6100e6685  libosip2-2.2.2.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
See below - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag

Issues:

1. Your naming doesn't seem right to me...

compat-libosip2-2.2.2-2.2.2-5
should be just
compat-libosip2-2.2.2-5

right? ie, the 2.2.2 in the Name should be removed.

2. Shouldn't you 
Provides: libosip2 = %{version}-%{release}

instead of the Conflicts? Then this version will replace the older libosip2
packages and provide the same things for things like linphone?

3. The devel subpackage has a .pc file, so it should
Requires: pkgconfig

4. rpmlint says:

W: compat-libosip2-2.2.2 summary-not-capitalized oSIP is an implementation of SIP

Can be ignored.

W: compat-libosip2-2.2.2 incoherent-version-in-changelog 2.2.2-4 2.2.2-5.fc7

Missing changelog entry for changes to the compat package?

E: compat-libosip2-2.2.2 obsolete-not-provided libosip2

See issue #2?

W: compat-libosip2-2.2.2 summary-not-capitalized oSIP is an implementation of SIP
E: compat-libosip2-2.2.2-devel obsolete-not-provided libosip2-devel

Same thing with the -devel subpackage...


Comment 2 Jeffrey C. Ollie 2006-11-13 15:53:10 UTC
Spec URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/compat-libosip2-2.2.2-7.fc6.spec
SRPM URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/compat-libosip2-2.2.2-7.fc6.src.rpm

* Mon Nov 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-7
- Fix up provides/obsoletes/conflicts
- Fix package name


Comment 3 Kevin Fenzi 2006-11-13 22:12:39 UTC
1. Looks good. 

2. I think you also still need to have the Obsoletes: as well as the Provides. 
See: 
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-581c3fb3ff1c6ef7404e8b288b59cd5280d75ad6

3. Looks good. 

4. Looks good. 

Comment 4 Jeffrey C. Ollie 2006-11-14 02:05:35 UTC
Ah... I knew that the provides/obosletes thing was documented *somewhere*...

Spec URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/compat-libosip2-2.2.2-8.fc6.spec
SRPM URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/compat-libosip2-2.2.2-8.fc6.src.rpm

* Mon Nov 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-8
- Add Obsoletes


Comment 5 Kevin Fenzi 2006-11-14 20:11:46 UTC
ok, that looks good. Thats the last blocker that I see... so this package is
APPROVED. 

Please remember to close this NEXTRELEASE once it's been imported and built. 

Also consider doing a review on another waiting package to help spread out the
reviewing load. 

Comment 6 Jeffrey C. Ollie 2006-11-15 19:55:08 UTC
Ok, imported and built for FC-5, FC-6, and devel


Note You need to log in before you can comment on or make changes to this bug.